Subject: [alpine-aports] [PATCH 07/15] testing/perl-authen-ntlm: new aport

From: Stuart Cardall <[email-masked]>
Date: Sat, 12 Dec 2015 12:25:18 +0000

---
 testing/perl-authen-ntlm/APKBUILD | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)
 create mode 100644 testing/perl-authen-ntlm/APKBUILD

diff --git a/testing/perl-authen-ntlm/APKBUILD b/testing/perl-authen-ntlm/APKBUILD
new file mode 100644
index 0000000..dd9a9a8
--- /dev/null
+++ b/testing/perl-authen-ntlm/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Stuart Cardall <[email-masked]>
+# Maintainer: Stuart Cardall <[email-masked]>
+pkgname=perl-authen-ntlm
+pkgver=1.09
+_realname=NTLM-$pkgver
+pkgrel=0
+pkgdesc="NTLM authentication for Mail::IMAPClient"
+url="http://search.cpan.org/dist/NTLM/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/N/NB/NBEBOUT/$_realname.tar.gz"
+
+_builddir="$srcdir"/$_realname
+
+build() {
+	cd "$_builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="da314ee94b14af2a2f39b6f2c0046e73  NTLM-1.09.tar.gz"
+sha256sums="c823e30cda76bc15636e584302c960e2b5eeef9517c2448f7454498893151f85  NTLM-1.09.tar.gz"
+sha512sums="faae9a4a39f483a9612e5a7daec15bb8ddd940ccc73e52372dd004a9067336fccc4c490deafb3eaa0cf56c0dfe3a085cb6bba38631a5122c2f2fa6e960845039  NTLM-1.09.tar.gz"
-- 
2.6.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---